<?php

namespace Planaday\Html\Tags\Test\TestPage;

use Planaday\Html\Tags\Tag;
use Planaday\Utility\DependencyInjection\Container;
use Planaday\Utility\DependencyInjection\InjectionImpossibleException;

class TestPage extends Tag {
	const TAG = 'test-page';
	const DEFAULT_TEMPLATE = 'testing';

	/**
	 * @param Container $registry
	 *
	 * @throws InjectionImpossibleException
	 */
	public function __construct(Container $registry) {
		parent::__construct(__DIR__, self::DEFAULT_TEMPLATE, $registry);
	}

	public function buildTag(): string {
		$parser = $this->getNewParser();
		$parser->setCondition('showExtraBlock', false);

		return $parser->parse($this->getTemplate());
	}
}